#include "assistitem.h"

AssistItem::AssistItem(QObject *parent) : QObject(parent)
{
    clean();
}

AssistItem::~AssistItem()
{
    clean();
}

AssistItem::AssistItem(const AssistItem & item) : QObject()
{
    copyData(item);
}

AssistItem & AssistItem::operator= (const AssistItem & item)
{
    copyData(item);
    return *this;
}

void AssistItem::clean()
{
    m_macType = 0;
    m_showPriority = 0;
    m_name.clear();
    m_topImageName.clear();
    m_enumFunction = 0;
}

void AssistItem::copyData(const AssistItem &item)
{
    if (this != &item)
    {
        this->m_macType = item.m_macType;
        this->m_showPriority = item.m_showPriority;
        this->m_name = item.m_name;
        this->m_topImageName = item.m_topImageName;
        this->m_enumFunction = item.m_enumFunction;
    }
}
